import java.awt.BorderLayout;

import javax.swing.JFrame;
import javax.swing.JTabbedPane;
import javax.swing.SwingUtilities;


public class MainFrame extends JFrame{
	public MainFrame(String str) {
		super(str);
		setSize(700, 700);
		setLocationRelativeTo(null);
		setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
		getContentPane().setLayout(new BorderLayout(0, 0));
		JTabbedPane pane = new JTabbedPane();
		pane.addTab("1 ", new PanelFirst());
		pane.addTab("2 ", new PanelSecond());
		pane.addTab("3 ", new PanelThird());
		pane.addTab("4 ", new PanelFourth());
		pane.addTab("5 ", new PanelFifth());
		pane.addTab("6 ", new PanelSixth());
		add(new MainTabbedPane(), BorderLayout.CENTER);
		setVisible(true);
	}
	public static void main (String args[]){
		SwingUtilities.invokeLater(new Runnable(){
			@Override
			public void run(){
				new MainFrame("  1");
			}
		});
	}
}
