
import java.util.ArrayList;

import javax.swing.table.AbstractTableModel;
import javax.swing.table.TableModel;


public class MyTableModel extends AbstractTableModel implements TableModel{

	private ArrayList<String[]> myData;
	
	private String titels[]={"1 ","2 "};
	
	public MyTableModel(ArrayList<String[]> myData){
		this.myData=myData;
	}
	public MyTableModel(){
		myData = new ArrayList<String[]>();
	}
	@Override
	public int getRowCount() {
		return myData.size();
	}

	@Override
	public int getColumnCount() {
		return titels.length;
	}
	/*public String getColumnName(int c){
		return titels[c];
	}*/

	@Override
	public Object getValueAt(int rowIndex, int columnIndex) {
		return myData.get(rowIndex)[columnIndex];
	}
	
	public void addRow(String[] newData){
		myData.add(newData);
		fireTableDataChanged();
	}
	public void changeRow(String[] str, int j){
		myData.set(j, str);
		fireTableDataChanged();
	}
	
	public void delValue(int num){
		myData.remove(num);
		fireTableDataChanged();
	}

}
