import java.awt.FlowLayout;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.util.Enumeration;

import javax.swing.AbstractButton;
import javax.swing.ButtonGroup;
import javax.swing.JButton;
import javax.swing.JOptionPane;
import javax.swing.JPanel;
import javax.swing.JRadioButton;
import javax.swing.JTextField;



public class PanelThird extends JPanel{
	private JTextField textForRadion;
	private JButton buttonForRadion;
	private ButtonGroup myRadioGroup;
	private JRadioButton firstRadion;
	private JRadioButton secondRadion;
	private JRadioButton thirtRadion;

	public PanelThird() {
		setLayout(new FlowLayout());
		textForRadion = new JTextField();
		textForRadion.setColumns(10);
		buttonForRadion = new JButton("!");
		buttonForRadion.addActionListener(new ListenerForThirdLayeredPane());
		myRadioGroup = new ButtonGroup();
		firstRadion = new JRadioButton("1");
		secondRadion = new JRadioButton("2");
		thirtRadion = new JRadioButton("3");
		myRadioGroup.add(firstRadion);
		myRadioGroup.add(secondRadion);
		myRadioGroup.add(thirtRadion);
		add(textForRadion);
		add(buttonForRadion);
		add(firstRadion);
		add(secondRadion);
		add(thirtRadion);
	}
	
	public class ListenerForThirdLayeredPane implements ActionListener {
		public void actionPerformed(ActionEvent e) {
			Enumeration<AbstractButton> list = myRadioGroup.getElements();
			while (list.hasMoreElements()) {
				AbstractButton radio = list.nextElement();
				if (textForRadion.getText().equals(radio.getText())){
					radio.setSelected(true);
					return;
				}
			}
			JOptionPane.showMessageDialog(buttonForRadion, "   ");
		}
	}

}
