import java.util.ArrayList;

import javax.swing.table.AbstractTableModel;
import javax.swing.table.TableModel;


@SuppressWarnings("serial")
public class TabbleModelAdditionalJob extends  AbstractTableModel  implements TableModel{

	
	private ArrayList<ArrayList<String>> myData;
	private int rowCount;
	private int columnCount;
	private Integer iterator;
	
	
	Integer getIterator(){
		return ++iterator;
	}
	
	public TabbleModelAdditionalJob(ArrayList<ArrayList<String>> myData){
		this.myData=myData;
	}

	public TabbleModelAdditionalJob(int rowIndex, int columnIndex){
		iterator = new Integer(0);
		myData = new ArrayList<ArrayList<String>>();
		for (int i=0; i<15; i++){
			myData.add(new ArrayList<String>());
			for (int y=0; y<15;y++){
				if (i%2==0){
					myData.get(i).add(getIterator().toString());
				}
				else {
					myData.get(i).add(" ");
				}
			}
		}
		rowCount=rowIndex;
		columnCount=columnIndex;
		
	}
	
	
	public int getRowCount() {
		return rowCount;
	}

	public int getColumnCount() {
		return columnCount;
	}

	public Object getValueAt(int rowIndex, int columnIndex) {
		return myData.get(rowIndex).get(columnIndex);
	}
	
	public void setValueAt(Object value, int rowIndex, int columnIndex){
		myData.get(columnIndex).set(columnIndex, (String) value);
	}
	
	public void swap(int rowIndexFirst, int columnIndexFirst,int rowIndexSecond, int columnIndexSecond){
		Object timeValue = getValueAt(rowIndexFirst, columnIndexFirst);
		myData.get(rowIndexFirst).set(columnIndexFirst, myData.get(rowIndexSecond).get(columnIndexSecond));
		myData.get(rowIndexSecond).set((columnIndexSecond), (String) timeValue);
		fireTableDataChanged();
		
	}
	
	
	void updateTabble(){
		for (int y=0; y<=columnCount;y++){
			for (int i=0; i<=(int)(rowCount/2-1); i++){
				swap(y,i,y,i+1);
				swap(y,columnCount-i-1,y,columnCount-i-2);
			}
		}
		for (int y=0; y<=rowCount;y++){
			for (int i=0; i<=(int)(columnCount); i++){
				swap(y+1,i,y,i);
			}
		}
	}

}
