package model.comparators;

import java.util.Comparator;

import model.beans.Student;

public abstract class AbstractStudentComparator implements Comparator<Student> {
	@Override
	public int compare(Student o1, Student o2) {
		System.out.println(o1);
		System.out.println(o2);
		boolean checkFullName = (o1.getFullName() == null)?true:(new FullNameComparator().compare(o1.getFullName(), o2.getFullName()) == 0);
		boolean checkSport = (o1.getSport() == null)?true:(o1.getSport().equals(o2.getSport()));
		boolean checkPosition = (o1.getPosition() == null)?true:(o1.getPosition().equals(o2.getPosition()));
		boolean checkCategory = (o1.getCategory() == null)?true:(o1.getCategory().equals(o2.getCategory()));
		boolean checkMemberInTeam = (o1.getMemberInTeam() == null)?true:(o1.getMemberInTeam().equals(o2.getMemberInTeam()));
		///boolean checkMemberInTeam = (o1.getNumberOfTitels() == null)?true:(o1.getNumberOfTitels().equals(o2.getNumberOfTitels()));
		if (checkFullName && checkSport && checkPosition && checkCategory && checkMemberInTeam) return compareValues(o1, o2);
		else return 1;
	}
	
	public abstract int compareValues(Student o1, Student o2);
}
