package model.comparators;

import java.util.Comparator;

import model.beans.FullName;

public class FullNameComparator implements Comparator<FullName> {

	@Override
	public int compare(FullName o1, FullName o2) {
		boolean checkName = (o1.getName() == null)?true:(o1.getName().equals(o2.getName()));
		boolean checkSurname = (o1.getSurname() == null)?true:(o1.getSurname().equals(o2.getSurname()));
		boolean checkPatronymic = (o1.getPatronymic() == null)?true:(o1.getPatronymic().equals(o2.getPatronymic()));
		if (checkName && checkSurname && checkPatronymic) return 0;
		else return 1;
	}

}
