package Model;

import java.util.ArrayList;

import Graph.AbstractGraphModel;

public class GraphResultModel extends AbstractGraphModel implements Observer{
    ResultModel model;
    ArrayList<double[]> listResult;
    
    public void setListResult(ArrayList<double[]> listResult) {
        this.listResult = listResult;
    }
    public GraphResultModel(ResultModel model) {
	this.model=model;
	model.registerObserver(this);
    }
    @Override
    public ArrayList<double[]> getGraph() {
	return listResult;
    }

    @Override
    public String getNameAxsX() {
	return "N,-";
    }

    @Override
    public String getNameAxsY() {
	return "T,";
    }

    @Override
    public void update() {
	setListResult(model.getList());
	notifyGraphModelListener();
    }
}
