package Model;

import java.util.ArrayList;

import javax.swing.JTable;
import javax.swing.event.TableModelListener;
import javax.swing.table.AbstractTableModel;
import javax.swing.table.TableModel;

public class ResultTableModel extends AbstractTableModel implements TableModel, Observer {
    ResultModel model;
    String[] columnNames = { "Number", "Time" };
    private ArrayList<double[]> beans;
    
    public ResultTableModel(ResultModel model) {
	this.model=model;
	beans = model.getList();
	model.registerObserver(this);
    }
    JTable g;	
    @Override
    public int getRowCount() {
	return beans.size();
    }
    
    @Override
    public String getColumnName(int column) {
	switch (column) {
        case 0:
            return columnNames[0];
        case 1:
            return columnNames[1];
        }
	return null;
    }

    @Override
    public int getColumnCount() {
	return columnNames.length;
    }

    @Override
    public Object getValueAt(int rowIndex, int columnIndex) {
        double[] bean = beans.get(rowIndex);
        switch (columnIndex) {
        case 0:
            return bean[0];
        case 1:
            return bean[1];
        }
        return "";
    }

    @Override
    public void update() {
	beans =model.getList();
	for(TableModelListener a:getTableModelListeners()){
	    System.out.println(a);
	}
	System.out.println("fdgh");
	fireTableDataChanged();
    }

}
