import java.awt.Dimension;
import java.awt.FlowLayout;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import javax.swing.JButton;
import javax.swing.JPanel;
import javax.swing.JScrollPane;
import javax.swing.JTable;
import javax.swing.JTextField;


public class PanelFifth extends JPanel{
	private JTextField textForTable;
	private JButton buttonForTableFirst;
	private JButton buttonForTableSecond;
	private JButton buttonForTableThird;
	private MyTableModel tmodel;
	private JTable jtabEmail;
	public PanelFifth() {
		setLayout(new FlowLayout());
		textForTable = new JTextField();
		textForTable.setColumns(10);
		buttonForTableFirst = new JButton(" edit   ");
		buttonForTableFirst.addActionListener(new ListenerForFifthLayeredPane());
		buttonForTableSecond = new JButton("   ");
		buttonForTableSecond.addActionListener(new ListenerForFifthLayeredPane());
		buttonForTableThird = new JButton("   ");
		buttonForTableThird.addActionListener(new ListenerForFifthLayeredPane());
		tmodel = new MyTableModel();
		jtabEmail = new JTable(tmodel);
		JScrollPane jscrlp = new JScrollPane(jtabEmail);
		jtabEmail.setPreferredScrollableViewportSize(new Dimension(450,80));
		add(textForTable);
		add(buttonForTableFirst);
		add(buttonForTableSecond);
		add(buttonForTableThird);
		add(jscrlp);
	}
	
	public class ListenerForFifthLayeredPane implements ActionListener{
		public void actionPerformed(ActionEvent e) {
			if (e.getActionCommand().equals(buttonForTableFirst.getText())){
				tmodel.addRow(new String[]{textForTable.getText(),""});
			}
			else if (e.getActionCommand().equals(buttonForTableSecond.getText())){
				int[] inf = jtabEmail.getSelectedRows();
				for (int j=0; j<inf.length;j++)
					if (tmodel.getValueAt(inf[j], 1).toString().equals(""))
						tmodel.changeRow(new String[]{"",tmodel.getValueAt(inf[j], 0).toString()}, inf[j]);
				
			}
			else if (e.getActionCommand().equals(buttonForTableThird.getText())){
				int[] inf = jtabEmail.getSelectedRows();
				for (int j=0; j<inf.length;j++)
					if (tmodel.getValueAt(inf[j], 0).toString().equals(""))
						tmodel.changeRow(new String[]{tmodel.getValueAt(inf[j], 1).toString(),""}, inf[j]);
			}

		}
	}

}
