import java.awt.Dimension;
import java.awt.FlowLayout;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import javax.swing.JButton;
import javax.swing.JOptionPane;
import javax.swing.JPanel;
import javax.swing.JScrollPane;
import javax.swing.JTable;
import javax.swing.JTextField;
import javax.swing.SwingUtilities;



public class PanelSixth extends JPanel {
	
	private TabbleModelAdditionalJob tmodel;
	private JTable jtabEmail;
	private JButton buttonLaunch;
	private Thread thrd;
	boolean running=false;
	private Runnable myThread;
	private JTextField fielColumnCount;
	private JTextField fieldRowCount;
	private JButton buttonResize;
	

	public PanelSixth() {
		setLayout(new FlowLayout());
		tmodel = new TabbleModelAdditionalJob(10,10);
		jtabEmail = new JTable(tmodel);
		JScrollPane jscrlp = new JScrollPane(jtabEmail);
		jtabEmail.setPreferredScrollableViewportSize(new Dimension(1000,1000));
		buttonLaunch = new JButton(" ");
		buttonLaunch.addActionListener(new ListenerForSixthLayeredPane());
		buttonResize = new JButton(" ");
		buttonResize.addActionListener(new ListenerForSixthLayeredPane());
		add(buttonResize);
		fielColumnCount = new JTextField();
		fielColumnCount.setColumns(10);
		fieldRowCount = new JTextField();
		fieldRowCount.setColumns(10);
		add(fielColumnCount);
		add(fieldRowCount);
		add(buttonLaunch);
		add(jscrlp);
		myThread = new Runnable() {
			@Override
			public void run() {
				try{
					for (;;){
						Thread.sleep(2000);
						SwingUtilities.invokeLater(new Runnable() {
							
							@Override
							public void run() {
								tmodel.updateTabble();
								
							}
						});
					}	
				} 
				catch (InterruptedException exc){
					System.exit(1);;
				}
			}
		};
	}
	
	
	
	class ListenerForSixthLayeredPane implements ActionListener{
		@SuppressWarnings("deprecation")
		public void actionPerformed(ActionEvent e) {
			if (e.getActionCommand().equals(buttonLaunch.getText())){
				if (running==false){
					running=true;
					thrd = new Thread(new Runnable() {
						@Override
						public void run() {
							try{
								for (;;){
									Thread.sleep(2000);
									SwingUtilities.invokeLater(new Runnable() {
										@Override
										public void run() {
											tmodel.updateTabble();
											
										}
									});
								}	
							} 
							catch (InterruptedException exc){
								System.exit(1);;
							}
						}
					});
					
					thrd.start();
				}
				else {
					running=false;
					thrd.stop();
				}
			}
			else{
				Integer count=0;
				Integer row=0;
				try{
					count = Integer.parseInt(fielColumnCount.getText());
					row = Integer.parseInt(fieldRowCount.getText());
				}
				catch (Exception e1){
					JOptionPane.showMessageDialog(buttonResize, " ");
					return;
				}
				if ((count>13)||(row>13)){
					JOptionPane.showMessageDialog(buttonResize, "     13");
					return;
				}
				if (running==true){
					running=false;
					thrd.stop();
				}
				tmodel=(new TabbleModelAdditionalJob(count,row));
				jtabEmail.setModel(tmodel);
				
				
			}
		}
		
	}
	
}
