package model.beans.factories;

import model.beans.FullName;
import model.beans.Student;

public class StudentFactory {

	public static Student newInstance(String name, String surname,
			String patronymic, String sport, String position, String category,
			String memberInTeam, String numberOfTitels) throws Exception {
		FullName fullName = new FullName(name, surname, patronymic);
		Student student = new Student(fullName, sport, position, category, (memberInTeam == null)?null:Boolean.parseBoolean(memberInTeam), (numberOfTitels == null)?null:Integer.parseInt(numberOfTitels));
		return student;
	}
}
