package model.comparators;

import java.util.Comparator;

import model.beans.Address;

public class AddressComparator implements Comparator<Address> {

	@Override
	public int compare(Address o1, Address o2) {
		boolean checkTown = (o1.getTown() == null)?true:o1.getTown().equals(o2.getTown());
		boolean checkStreet = (o1.getStreet() == null)?true:o1.getStreet().equals(o2.getStreet());
		boolean checkHouse = (o1.getHouse() == null)?true:o1.getHouse().equals(o2.getHouse());
		boolean checkApartments = (o1.getApartments() == null)?true:o1.getApartments().equals(o2.getApartments());
		if (checkTown && checkStreet && checkHouse && checkApartments) return 0;
		else return 1;
	}

}
