package view.components;

import java.awt.GridLayout;

import javax.swing.JComboBox;
import javax.swing.JLabel;
import javax.swing.JPanel;
import javax.swing.JTextField;

public class JStudentAdder extends JPanel {
	private static final long serialVersionUID = 1L;
	private JTextField nameField;
	private JTextField surnameField;
	private JTextField patronymicField;
	private JTextField sportField;
	private JTextField positionField;
	private JComboBox<String> categoryBox;
	private JComboBox<String> isAMemberBox;
	private JTextField numberOfTitelsField;
	String member[] = { "", "" };
	String category[] ={"1 ","2 ", "3 "};

	public JStudentAdder() {
		super();
		initPanel();
		initTextFields();
		initLabels();
	}

	private void initLabels() {
		this.add(new JLabel(""));
		this.add(nameField);
		this.add(new JLabel(""));
		this.add(surnameField);
		this.add(new JLabel(""));
		this.add(patronymicField);
		this.add(new JLabel(""));
		this.add(sportField);
		this.add(new JLabel(""));
		this.add(positionField);
		this.add(new JLabel(""));
		this.add(categoryBox);
		this.add(new JLabel("Is a member"));
		this.add(isAMemberBox);
		this.add(new JLabel("Number of titels"));
		this.add(numberOfTitelsField);
	}

	private void initPanel() {
		this.setLayout(new GridLayout(10, 2));
	}

	private void initTextFields() {
		nameField = new JTextField();
		nameField.setColumns(10);
		surnameField = new JTextField();
		surnameField.setColumns(10);
		patronymicField = new JTextField();
		patronymicField.setColumns(10);
		sportField = new JTextField();
		sportField.setColumns(10);
		positionField = new JTextField();
		positionField.setColumns(10);
		categoryBox = new JComboBox<String>(category);
		categoryBox.setSelectedIndex(0);
		isAMemberBox = new JComboBox<String>(member);
		isAMemberBox.setSelectedIndex(0);
		numberOfTitelsField = new JTextField();
		numberOfTitelsField.setColumns(10);
	}

	@Override
	public String getName() {
		return nameField.getText().equals("") ? null : nameField.getText();
	}

	public String getSurname() {
		return surnameField.getText().equals("") ? null : surnameField
				.getText();
	}

	public String getPatronymic() {
		return patronymicField.getText().equals("") ? null : patronymicField
				.getText();
	}

	public String getSport() {
		return sportField.getText().equals("") ? null : sportField.getText();
	}

	public String getPosition() {
		return positionField.getText().equals("") ? null : positionField
				.getText();
	}

	public String getCategory() {
		return (String) categoryBox.getSelectedItem();
	}

	public String getIsAMember() {
		return (String) isAMemberBox.getSelectedItem();
	}

	public String getNumberOfTitels() {
		return numberOfTitelsField.getText().equals("") ? null
				: numberOfTitelsField.getText();
	}

}
