package Veiwer;

import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.util.ArrayList;

import javax.swing.JButton;
import javax.swing.JLabel;
import javax.swing.JOptionPane;
import javax.swing.JPanel;
import javax.swing.JTextField;

import Array.Array;
import Model.ResultModel;

public class TestSortPanel extends JPanel {
    private JTextField startIntevalPossibleValuesField;
    private JTextField finishIntevalPossibleValuesField;
    private JTextField repedField;
    private JTextField startIntervalSizeArrayField;
    private JTextField finishIntervalSizeArrayField;
    private JLabel startIntevalPossibleValuesLabel;
    private JLabel finishIntevalPossibleValuesLabel;
    private JLabel repedLabel;
    private JLabel startIntevalSizeArrayLabel;
    private JLabel finishIntevalSizeArrayLabel;
    private JButton startTest;
    private JButton startTable;
    private ResultModel mainModel;
    private ArrayList<double[]> list;
    Thread firstTh;

    public TestSortPanel(final ResultModel mainModel) {
	this.mainModel = mainModel;
	startIntevalPossibleValuesField = new JTextField("-100");
	startIntevalPossibleValuesField.setColumns(5);
	finishIntevalPossibleValuesField = new JTextField("100");
	finishIntevalPossibleValuesField.setColumns(5);
	repedField = new JTextField("10");
	repedField.setColumns(5);
	startIntervalSizeArrayField = new JTextField("2");
	startIntervalSizeArrayField.setColumns(5);
	finishIntervalSizeArrayField = new JTextField("100");
	finishIntervalSizeArrayField.setColumns(5);
	startIntevalPossibleValuesLabel = new JLabel(
		"   :");
	finishIntevalPossibleValuesLabel = new JLabel(
		"   :");
	repedLabel = new JLabel(" :");
	startIntevalSizeArrayLabel = new JLabel(
		"   :");
	finishIntevalSizeArrayLabel = new JLabel(
		"   :");
	startTest = new JButton("");
	startTable = new JButton("");
	add(startIntevalPossibleValuesLabel);
	add(startIntevalPossibleValuesField);
	add(finishIntevalPossibleValuesLabel);
	add(finishIntevalPossibleValuesField);
	add(repedLabel);
	add(repedField);
	add(startIntevalSizeArrayLabel);
	add(startIntervalSizeArrayField);
	add(finishIntevalSizeArrayLabel);
	add(finishIntervalSizeArrayField);
	add(startTest);
	add(startTable);
	startTest.addActionListener(new ActionListener() {

	    @Override
	    public void actionPerformed(ActionEvent e) {
		try {
		    firstTh.stop();
		} catch (Exception x) {

		}

		firstTh = new Thread(new Computing());
		firstTh.start();

	    }
	});
	startTable.addActionListener(new ActionListener() {

	    @Override
	    public void actionPerformed(ActionEvent e) {

		new TableFrame(mainModel);
	    }

	});
    }

    public class Computing implements Runnable {

	public Computing() {

	}

	@Override
	public void run() {
	    mainModel.clearList();
	    getResult();

	}
    }

    public void getResult() {
	int startIntervalPossibleValues = 0;
	int finishIntervalPossibleValues = 0;
	int reped = 0;
	int startIntervalSizeArray = 0;
	int finishIntervalSizeArray;
	try {
	    startIntervalPossibleValues = getStartIntervalPossibleValues();
	    finishIntervalPossibleValues = getFinishIntervalPossibleValues();
	    reped = getReped();
	    startIntervalSizeArray = getStartIntervalSizeArray();
	    finishIntervalSizeArray = getFinishIntervalSizeArray();
	} catch (Exception x) {
	    JOptionPane.showMessageDialog(null, "Error!");
	    return;
	}
	for (int i = startIntervalSizeArray; i <= finishIntervalSizeArray; i++) {
	    double[] point = Array.testsSortPoint(i, reped,
		    startIntervalPossibleValues, finishIntervalPossibleValues);
	    mainModel.addInfaList(point);
	    System.out.println("1");
	}

	return;
    }

    public int getFinishIntervalSizeArray() {
	return Integer.valueOf(finishIntervalSizeArrayField.getText());
    }

    public int getStartIntervalSizeArray() {
	return Integer.valueOf(startIntervalSizeArrayField.getText());
    }

    public int getReped() {
	return Integer.valueOf(repedField.getText());
    }

    public int getFinishIntervalPossibleValues() {
	return Integer.valueOf(finishIntevalPossibleValuesField.getText());
    }

    public int getStartIntervalPossibleValues() {
	return Integer.valueOf(startIntevalPossibleValuesField.getText());
    }

}
